Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.signers.slhdsa
Class SLHDSAEngine.Shake256Engine

    java.lang.Object
      org.bouncycastle.crypto.signers.slhdsa.SLHDSAEngine
          org.bouncycastle.crypto.signers.slhdsa.SLHDSAEngine.Shake256Engine

Enclosing class:
  SLHDSAEngine

public static class SLHDSAEngine.Shake256Engine
extends SLHDSAEngine

Nested Class Summary

Nested classes inherited from class org.bouncycastle.crypto.signers.slhdsa.SLHDSAEngine
`SLHDSAEngine.Sha2Engine, SLHDSAEngine.Shake256Engine`

Constructor Summary
`SLHDSAEngine.Shake256Engine(int n, int w, int d, int a, int k, int h)`

Method Summary
`protected byte[]` | `bitmask(byte[] pkSeed, org.bouncycastle.crypto.signers.slhdsa.ADRS adrs, byte[] m)`
`protected byte[]` | `bitmask(byte[] pkSeed, org.bouncycastle.crypto.signers.slhdsa.ADRS adrs, byte[] m1, byte[] m2)`
`byte[]` | `PRF_msg(byte[] prf, byte[] randomiser, byte[] msgPrefix, byte[] msg)`

Methods inherited from class org.bouncycastle.crypto.signers.slhdsa.SLHDSAEngine
`implGenerateKeyPair, internalGenerateSignature, internalVerifySignature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLHDSAEngine.Shake256Engine

    public SLHDSAEngine.Shake256Engine(int n,
                                       int w,
                                       int d,
                                       int a,
                                       int k,
                                       int h)

Method Detail

### PRF_msg

    public byte[] PRF_msg(byte[] prf,
                          byte[] randomiser,
                          byte[] msgPrefix,
                          byte[] msg)

### bitmask

    protected byte[] bitmask(byte[] pkSeed,
                             org.bouncycastle.crypto.signers.slhdsa.ADRS adrs,
                             byte[] m)

### bitmask

    protected byte[] bitmask(byte[] pkSeed,
                             org.bouncycastle.crypto.signers.slhdsa.ADRS adrs,
                             byte[] m1,
                             byte[] m2)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD